varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 rect_min;
uniform vec2 rect_max;
uniform float rect_factor;

void main(void)
{
    if(gl_FragCoord.x >= rect_min.x
       && gl_FragCoord.y >= rect_min.y
       && gl_FragCoord.x <= rect_max.x
       && gl_FragCoord.y <= rect_max.y)
    {
        gl_FragColor = vec4(0.0,
                            0.0,
                            0.0,
                            0.0);
    }
    else
    {
        gl_FragColor = vec4(0.0,
                            0.0,
                            0.0,
                            rect_factor);
    }
}