varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float f_addcolor;

void main(void) {
    vec4 color = texture2D(CC_Texture0, v_texCoord);
    color.a = texture2D(CC_Texture1, v_texCoord).r;
    float R = color.r;
    float G = color.g;
    float B = color.b;
    R = clamp(R + f_addcolor, 0.0, 1.0);
    G = clamp(G + f_addcolor, 0.0, 1.0);
    B = clamp(B + f_addcolor, 0.0, 1.0);
    if(color.a > 0.1)
    {
        gl_FragColor = vec4(R, G, B, color.a);
    }
    else
    {
        gl_FragColor = vec4(color.r, color.g, color.b, color.a);
    }
}
